{ mkDerivation
, aeson
, async
, base
, binary
, bytestring
, containers
, data-default
, deepseq
, directory
, extra
, filepath
, ghcide
, ghcide-test-utils
, hashable
, hls-graph
, hls-plugin-api
, implicit-hie
, lens
, lib
, lsp-test
, lsp-types
, optparse-applicative
, parser-combinators
, process
, safe-exceptions
, shake
, tasty
, tasty-hunit
, tasty-rerun
, text
}:
mkDerivation {
  pname = "ghcide-bench";
  version = "0.1.1";
  sha256 = "226c46214fc0b5675cf1a360ab128bcc60697c3ae51482d51956a5e02f0febfa";
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson
    async
    base
    binary
    bytestring
    deepseq
    directory
    extra
    filepath
    ghcide
    ghcide-test-utils
    hashable
    lens
    lsp-test
    lsp-types
    optparse-applicative
    parser-combinators
    process
    safe-exceptions
    shake
    text
  ];
  executableHaskellDepends = [
    aeson
    base
    bytestring
    containers
    data-default
    directory
    extra
    filepath
    hls-graph
    hls-plugin-api
    lens
    lsp-test
    lsp-types
    optparse-applicative
    process
    safe-exceptions
    shake
    tasty-hunit
    text
  ];
  testHaskellDepends = [
    base
    extra
    lsp-test
    tasty
    tasty-hunit
    tasty-rerun
  ];
  testToolDepends = [ ghcide implicit-hie ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme";
  description = "An LSP client for running performance experiments on HLS";
  license = lib.licenses.asl20;
  broken = false;
}
